SpySweeper can't open with PG protection on?

Discussion in 'ProcessGuard' started by Atomas31, Oct 10, 2004.

Thread Status:
Not open for further replies.
  1. Atomas31

    Atomas31 Registered Member

    Joined:
    Sep 7, 2004
    Posts:
    923
    Location:
    Montreal, Quebec
    Hi,

    For some reason Spy Sweeper can't open. When I disable the protection of PG 3.0 beta 2, it can. What is wrong? All my .exe file of spysweeper are in my protection list of PG but for some reason since a few day PG seem to provoce an internal error in my spysweeper when ever I try to open ito_O

    When I check in the alert of PG it says that spysweeper.exe was allowed to starto_O? Can someone help me resolve this mysterieso_O I don't understant what is wrong?

    Thank you for your help,
    Atomas31
     
  2. siliconman01

    siliconman01 Registered Member

    Joined:
    Mar 6, 2003
    Posts:
    780
    Location:
    West Virginia (USA)
    Turn off "Securely Handle Window Closure" in PG 3 for Spy Sweeper and see if Spy Sweeper will open for you.
     
  3. Pilli

    Pilli Registered Member

    Joined:
    Feb 13, 2002
    Posts:
    6,217
    Location:
    Hampshire UK
    In addition to siliconmans post - Allow install drivers and services as SS uses a driver. You should not need Secure close handling with SS.

    If you re-install SS please put PG in learning mode. Only the main .exe needs to be on the protection list.

    HTH Pilli
     
  4. Atomas31

    Atomas31 Registered Member

    Joined:
    Sep 7, 2004
    Posts:
    923
    Location:
    Montreal, Quebec
    Thank you Pilli and Siliconman01, now it works :) Youppi!!!!!

    By the way, if Spysweeper have to install some drivers and PG wasn't allow it shouldn't this action appears in the alert menu in PGo_O

    Thanks for your help,
    Atomas31
     
  5. keyboard12

    keyboard12 Registered Member

    Joined:
    Oct 15, 2004
    Posts:
    2
    Hello,


    I was tring to run spysweeper 3.2 with winxp pro. I have an administrator account but I would like it to run on the user accounts also. When I try to run it at startup on the user accounts I get an error that says spy sweeper can not function properly on an account that has limited access to the system. If you must use a limited access account, spy sweeper should be configured to run using the credentials of the local administrator account. If you are unsure as to how to do this, consult the windows help system. Im not sure I understand this exactly. Does this mean it will just run when logged on as admin?? or is there another way to set up credentials in a user account to make spysweeper run on a user?? If anyone could help me out with this problem I would appreciate it.

    Thankyou,
    Keith
     
  6. Pilli

    Pilli Registered Member

    Joined:
    Feb 13, 2002
    Posts:
    6,217
    Location:
    Hampshire UK
    Hi keyboard12, You will need to run SS as an administrator.
    Right click the SpySweeper icon or .exe and select properties - Compatibilty -Shortcut - Advanced - Run with different credentials, you need admin credentials when running from a user account.

    Process Guard V3 is compatible with user accounts ;)

    HTH Pilli
     
  7. keyboard12

    keyboard12 Registered Member

    Joined:
    Oct 15, 2004
    Posts:
    2
    Hi Pilli,

    Just wanted to tell you thanks first of all and I really appreciate you trying to help me out. I restarted my pc in safe mode under the admin account. I went to spysweeper exe. and properties then the security tab. What I did then was I added the user group to it and then gave users full controll under permissions to try that out. I guess im still confused because when I logged back into a user account I still received the same error. If you could give me anymore suggestions to what im doing wrong I would appreciate it. I think one of my problems is I don't understand the credentials or exactly what they mean by that. I would like to have spysweeper run without having to make the user apart of the administrator group. Is that possible with my version??

    Thanks again,

    Keith
     
Thread Status:
Not open for further replies.